Listen API: Podcast Search, Directory, and Insights API
Simple & no-nonsense podcast search & directory API. Search all podcasts and episodes by people, places, or topics.
- Homepage
- https://api.apis.guru/v2/specs/listennotes.com/2.0.json
- Provider
- listennotes.com
- OpenAPI version
- 3.0.1
- Spec (JSON)
- https://api.apis.guru/v2/specs/listennotes.com/2.0/openapi.json
- Spec (YAML)
- https://api.apis.guru/v2/specs/listennotes.com/2.0/openapi.yaml
Tools (25)
Extracted live via the executor SDK.
-
directoryApi.getBestPodcastsGet a list of curated best podcasts by genre, which are curated by Listen Notes staffs based on various signals from the Internet, e.g., top charts on other podcast platforms, recommendations from mainstream media, user activities on listennotes.com... You can get the genre ids from
GET /genresendpoint. This endpoint returns same data as -
directoryApi.getCuratedPodcastByIdGet detailed meta data of all podcasts in a specific curated list. This endpoint returns same data as
-
directoryApi.getCuratedPodcastsA bunch of curated lists from online media. For each list, you'll get basic info of up to 5 podcasts. To get detailed meta data of all podcasts in a specific list, you need to use
GET /curated_podcasts/{id}. We add new curated lists to the database on a daily basis. -
directoryApi.getEpisodeByIdFetch detailed meta data for a specific episode.
-
directoryApi.getEpisodeRecommendationsFetch up to 8 episode recommendations based on the given episode id.
-
directoryApi.getEpisodesInBatchBatch fetch basic meta data for up to 10 episodes. This endpoint could be used to implement custom playlists for individual episodes. For detailed meta data of an individual episode, you need to use
GET /episodes/{id}. This endpoint is available only in the PRO/ENTERPRISE plan. -
directoryApi.getGenresGet a list of podcast genres that are supported in Listen Notes. The genre id can be passed to other endpoints as a parameter to get podcasts in a specific genre, e.g.,
GET /best_podcasts,GET /search... You may want to cache the list of genres on the client side. -
directoryApi.getLanguagesGet a list of languages that are supported in Listen Notes database. You can use the language string as query parameter in
GET /search. -
directoryApi.getPodcastByIdFetch detailed meta data and episodes for a specific podcast (up to 10 episodes each time). You can use the next_episode_pub_date parameter to do pagination and fetch more episodes.
-
directoryApi.getPodcastRecommendationsFetch up to 8 podcast recommendations based on the given podcast id.
-
directoryApi.getPodcastsInBatchBatch fetch basic meta data for up to 10 podcasts. This endpoint could be used to build something like OPML import, allowing users to import a bunch of podcasts via rss urls. For detailed meta data (including episodes) of an individual podcast, you need to use
GET /podcasts/{id}. This endpoint is available only in the PRO/ENTERPRISE plan. -
directoryApi.getRegionsIt returns a dictionary of country codes (e.g., us, gb...) & country names (United States, United Kingdom...). The country code is used in the query parameter region of
GET /best_podcasts. -
directoryApi.justListenRecently published episodes are more likely to be fetched. Good luck!
-
insightsApi.getPodcastAudienceFetch audience demographics for a podcast - 1) directly measured on the Listen Notes platform; 2) only supports audience breakdown by regions for now; 3) not every podcast has data.
-
playlistApi.getPlaylistByIdA playlist can be an episode list (i.e., all items are episodes) or a podcast list (i.e., all items are podcasts), which is essentially the same as those created via listennotes.com/listen/. This endpoint fetches a list of items (i.e., episodes or podcasts) in the playlist. You can use the last_pub_date_ms parameter to do pagination and fetch more items. A playlist can be public (discoverable on ListenNotes.com), unlisted (accessible to anyone who knows the playlist id), or private (accessible to its owner). You can fetch all playlists created by you, and public / unlisted playlists created by others.
-
playlistApi.getPlaylistsThis endpoint returns same data as listennotes.com/listen under your account. You can use the page parameter to do pagination and fetch more playlists.
-
podcasterApi.deletePodcastByIdPodcast hosting services can use this endpoint to streamline the process of podcast deletion on behave of their users (podcasters). We will review the deletion request within 12 hours. If the podcast is already deleted, the "status" field in the response will be "deleted". Otherwise, the status field will be "in review". If you want to get a notification once the podcast is deleted, you can configure a webhook url in the dashboard: listennotes.com/api/dashboard/#webhooks
-
podcasterApi.submitPodcastPodcast hosting services can use this endpoint to help your users directly submit a new podcast to Listen Notes database. If the podcast doesn't exist in the database, "status" in the response will be "in review", and we'll review it within 12 hours. If the podcast exists, "status" in the response will be "found". If this submission is rejected, "status" in the response will be "rejected". You can use
POST /podcaststo check if multiple podcasts exist in the database. If you want to get a notification once the podcast is accepted, you can either specify the "email" parameter or configure a webhook url in the dashboard: listennotes.com/api/dashboard/#webhooks -
searchApi.getRelatedSearchesSuggest related search terms. The results are more comprehensive than from
GET /typeahead. This endpoint is available only in the PRO/ENTERPRISE plan. -
searchApi.getTrendingSearchesFetch up to 10 most recent trending search terms on the Listen Notes platform.
-
searchApi.searchFull-text search on episodes, podcasts, or curated lists of podcasts. Use the
offsetparameter to paginate through search results. The FREE plan allows to see up to 30 search results (oroffset< 30) per query. The PRO plan allows to see up to 300 search results (oroffset< 300) per query. The ENTERPRISE plan allows to see up to 10,000 search results (oroffset< 10000) per query. -
searchApi.spellcheckSuggest a list of words that correct the spelling errors of a search term. This endpoint is available only in the PRO/ENTERPRISE plan.
-
searchApi.typeaheadSuggest search terms, podcast genres, and podcasts.
-
openapi.previewSpecPreview an OpenAPI document before adding it as a source
-
openapi.addSourceAdd an OpenAPI source and register its operations as tools